package kalkulator;

/* Binarni izrazi su zbir, razlika, proizvod i kolicnik. Posto postoji nesto zajednicko za njih, a
 * to je da imaju polja levi i desni i isti konstruktor, tu logiku ovde centralizujemo, medjutim i dalje
 * ne znamo kako izgleda operacija vrednost za svaki od njih, pa zbog toga klasa ostaje abstraktna, jer 
 * ima neimplementiran metod vrednost() iz implementiranog interfejsa Izraz.
 */
public abstract class BinarniIzraz implements Izraz{

	protected Izraz levi;
	protected Izraz desni;
	
	public BinarniIzraz(Izraz levi, Izraz desni) {
		this.levi=levi;
		this.desni=desni;
	}
}
