package kalkulator;

/* Izraz moze biti binarni izraz ili konstanta. 
 * Na taj nacin se formira binarno drvo izraza gde su konstante u listovima, 
 * a operacije u sredisnjim cvorovima drveta. 
 * Npr. izraz (2+3)*5-6*7 se moze predstaviti kao
 *                     -
 *                 *       *
 *               +   5    6  7
 *              2 3
 */
/* Izraz je interfejs jer jedino sto nam treba od njega je da mozemo da izracunamo vrednost, 
 * medjutim to ne znamo unapred jer izraz moze biti konstanta, proizvod, zbir... ili bilo koja kombinacija
 * ovih obicnih izraza (rekurzivna definicija izraza).
 */
public interface Izraz {
	
		public float vrednost();
}
